<?php
/***************************** Version 20180621 ***************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
	if (!isset($_POST['ptype'])&&!isset($_SESSION['CSSwidescreen'])) { // For debugging set some defaults if 'inc-spcwatchsummary.php' is called alone
		$year = '2016';
		$divWidth = 660;
		$maxWidth = 1140;
	}
	?>
<div id="showYear" align="center">
<?php 
if (isset($_POST['year'])) {
	$year = $_POST['year'];
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { # Are we using AJAX???
	$divWidth = $_POST['divWidth']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['maxWidth'])) { # Are we using AJAX???
	$maxWidth = $_POST['maxWidth']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
?>
<h2 align="center" style="line-height:200%">SPC Severe Watch Summaries for <?php echo $year?></h2>
<span style="color:#000000; font-size:13px; font-family:arial, times new roman; font-size:large">
<b>Select Year:</b> &nbsp;
</span>

<select style="border:1px solid #000000; background-color:#FFFFFF; font-size:12px;" name="year">

<?php for ($i=date('Y'); $i>=2013; $i--) {
	echo '<option value="'.$i.'"'.($i==$year?' selected="selected"':'').'>Year '.$i.'</option>';
} ?>

</select>

<script type="text/javascript">
  $("select").change(function () {
    var year = $(this).val();
    showYearjs(year);
  });
</script>
<div style="width:<?php echo $divWidth?>px" class="center">
	<h4 align="center">Tornado Watch Summary <?php echo ($year==date("Y")?'to Date ':'').'for '.$year?></h4>
	<?php echo ($divWidth<$maxWidth?'<a href="https://www.spc.noaa.gov/wcm/'.$year.'_torww_to_date.png" target="_blank" title="Larger Image">':'')?><img src="https://www.spc.noaa.gov/wcm/<?php echo $year?>_torww_to_date.png" width="<?php echo $divWidth?>" alt="Tornado Watch Summary"/><?php echo($divWidth<$maxWidth?'</a>':'')?> 
  <hr/><h4 align="center">Severe Thunderstorm Watch Summary <?php echo ($year==date("Y")?'to Date ':'').'for '.$year?></h4>
  <?php echo ($divWidth<$maxWidth?'<a href="https://www.spc.noaa.gov/wcm/'.$year.'_svrww_to_date.png" target="_blank" title="Larger Image">':'')?><img src="https://www.spc.noaa.gov/wcm/<?php echo $year?>_svrww_to_date.png" width="<?php echo $divWidth?>" alt="Severe Thunderstorm Watch Summary"/><?php echo($divWidth<$maxWidth?'</a>':'')?>
<hr/>
</div>
<span style="font-size:12px; text-align:center">
<a href="wxspcwatchsumm.php">Storm Prediction Center Yearly Watch Summaries from 2009 through <?php echo date('Y')?></a></span><br/> &nbsp;
<span style="font-size:9px; text-align:center">Images courtesy of the <a href="https://www.spc.noaa.gov/" target="_blank" title="Opens in New Tab">NOAA/NWS Storm Prediction Center</a>  -  Script by <a href="https://www.gwwilkins.org/">SE Lincoln Weather</a></span>
</div>
